This moves it outside any prevailing set -x and reduces the amount of
noise in various logs.
Signed-off-by: Ian Campbell <ian.campbell@citrix.com>
Acked-by: Ian Jackson <ian.jackson@eu.citrix.com>
}
select_prevxenbranch () {
- local b
- local p
- for b in $(./mg-list-all-branches) ; do # already sorted by version
- case "$b" in
- xen*)
- if [ "x$b" = "x$xenbranch" ] ; then
- break
- else
- p=$b
- fi
- ;;
- *) ;;
- esac
- done
- prevxenbranch=$p
+ prevxenbranch=`./cri-getprevxenbranch $xenbranch`
}
select_xenbranch () {
--- /dev/null
+#!/bin/bash
+
+set -e
+
+xenbranch=$1
+p=
+
+for b in $(./mg-list-all-branches) ; do # already sorted by version
+ case "$b" in
+ xen*)
+ if [ "x$b" = "x$xenbranch" ] ; then
+ break
+ else
+ p=$b
+ fi
+ ;;
+ *) ;;
+ esac
+done
+
+echo $p